Skip to main content
PATCH
/
collections
/
{id}
Update collection
curl --request PATCH \
  --url https://app.edpire.com/api/v1/collections/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "description": "<string>",
    "item_count": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "error": {
    "message": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

API key starting with edp_live_. Pass via Authorization: Bearer edp_live_xxx.

Scopes: read:assessments, write:assessments, read:results, write:submissions.

Path Parameters

id
string<uuid>
required

Collection UUID

Body

application/json
name
string
Required string length: 1 - 200
description
string
Maximum string length: 2000

Response

Collection updated

data
object
error
object
meta
object